#property indicator_chart_window
#property copyright "Fair Trend II (c) HotFx 2012.02.09"
#property link "http://hot-fx.blogspot.com" // http://hotfx.0pk.ru
 
extern int p2 = PERIOD_M5;
extern int p3 = PERIOD_M15;
extern int p4 = PERIOD_M30;
extern int p5 = PERIOD_H1;
extern int p6 = PERIOD_H4;
extern int p7 = PERIOD_D1;
extern int width = 4;
extern bool vectors = TRUE;
extern string SoundEntry = "alert.wav";
extern string SoundClose = "news.wav";

datetime bt = 0; int bv, sv, mv, obv = 0, osv = 0;

void init() { cObj("x7"); cObj("x6"); cObj("x5"); cObj("x4"); cObj("x3"); cObj("x2"); }

void start()
 {
  if (bt == Time[1]) return;
  bt = Time[1]; bv = 0; sv = 0; mv = 0;
  sObj("x7", p7); sObj("x6", p6); sObj("x5", p5); sObj("x4", p4); sObj("x3", p3); sObj("x2", p2);
  if ( (obv != mv && bv == mv) || (osv != mv && sv == mv) ) if (SoundEntry != "") PlaySound(SoundEntry);
  if ( (obv == mv && bv != mv) || (osv == mv && sv != mv) ) if (SoundClose != "") PlaySound(SoundClose);
  obv = bv; osv = sv; 
 }

void deinit() { ObjectDelete("x7"); ObjectDelete("x6"); ObjectDelete("x5"); ObjectDelete("x4"); ObjectDelete("x3"); ObjectDelete("x2"); }

void cObj(string s)
 {
  if (vectors) {  ObjectDelete(s); ObjectCreate(s, OBJ_TREND, 0, 0, 0, 0, 0); ObjectSet(s, OBJPROP_RAY, FALSE); }
  else { ObjectDelete(s); ObjectCreate(s, OBJ_RECTANGLE, 0, 0, 0, 0, 0); ObjectSet(s, OBJPROP_BACK, FALSE); }
  ObjectSet(s, OBJPROP_WIDTH, width);
 }

void sObj(string s, int x)
 {
  if (x == 0) return;
  mv ++;
  ObjectSet(s, OBJPROP_TIME1, Time[1]); ObjectSet(s, OBJPROP_PRICE1, Close[1]);
  ObjectSet(s, OBJPROP_TIME2, Time[x]); ObjectSet(s, OBJPROP_PRICE2, Open[x]);
  if (Open[x] <  Close[1]) { ObjectSet(s, OBJPROP_COLOR, Blue); bv ++; }
  if (Open[x] == Close[1])   ObjectSet(s, OBJPROP_COLOR, Gold);
  if (Open[x] >  Close[1]) { ObjectSet(s, OBJPROP_COLOR,  Red); sv ++; }
 }

